btb-class |

# BetterListViewCheckedIndexCollection Methods

The methods of the BetterListViewCheckedIndexCollection class are listed below. For a complete list of BetterListViewCheckedIndexCollection class members, see the BetterListViewCheckedIndexCollection Members topic.

#### Public Instance Methods

Add | Check the specified item by adding it to the collection.
AddRange | Check the specified items by adding them in this collection.
Clear | Uncheck all items by clearing the collection.
Contains | Check whether the specified item is contained within the collection (is checked).
IndexOf | Determines the index of the specified item in the list.
Insert | Check the specified item by inserting it to the list at the specified index.
Remove | Uncheck the specified item by removing it from the collection.
RemoveAt | Deselect the specified item by removing in from the specified position in the list.
RemoveRange | Uncheck the specified items by removing them this collection.
Set | Check just the specified items.

#### Protected Instance Methods

CollectCachedItems | Recreated cached view by collecting items this collection should represent.

#### See Also

BetterListViewCheckedIndexCollection Class | ComponentOwl.BetterThumbnailBrowser Namespace